Subject: Guix hands on GDM with wayland

From: mirai <[email-masked]>
Date: Thu, 24 Nov 2022 12:28:37 +0000

I believe I'm in a similar situation here.

Like Grigory, I also have my /tmp directory mounted as tmpfs:
```
(file-system
  (mount-point "/tmp")
  (device "none")
  (type "tmpfs")
  (flags '(no-dev no-suid no-atime))
  (check? #f))
```

But GDM launches in X11 mode as seen with 'loginctl show-session'
```
$ loginctl list-sessions 
SESSION  UID USER SEAT  TTY 
     c2  977 gdm  seat0 tty7
     c3 1000 x
$ loginctl show-session c2
Id=c2
User=977
Name=gdm
Timestamp=Wed 2022-11-23 17:02:57 WET
TimestampMonotonic=12113524
VTNr=7
Seat=seat0
TTY=tty7
Remote=no
Service=gdm-launch-environment
Leader=548
Audit=4294967295
Type=x11
Class=greeter
Active=yes
State=active
IdleHint=yes
IdleSinceHint=1669223280659646
IdleSinceHintMonotonic=314277878
LockedHint=no
```

and the DE/WM selection list does not contain any 'Wayland' option.

For reference, GDM was configured with:
```
(modify-services %desktop-services
          (gdm-service-type config => (gdm-configuration
                                       (inherit config)
                                       (wayland? #t)
                                       (auto-suspend? #f))))
```